NoSQL LDRD - Task #20317

Restructure the server to expose only single TCP port
07/13/2018 11:09 AM - Igor Mandrichenko

Status: Resolved Start date: 07/03/2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.2.0 Spent time: 0.00 hour
Description

Currently job process contacts all the workers directly. Although this is most efficient way of doing this, it does not work well with
FNAL security, for which this access pattern resembles port scanning and they block the job address. The server needs to be
re-arranged to minimize the number of TCP ports accessed by the job. Ideally to single TCP port.

Subtasks:
Feature # 20269: Send error messages from the worker to the job Resolved

History

#1-07/13/2018 11:10 AM - Igor Mandrichenko

- Subject changed from Restructure the server to Restructure the server to expose only single TCP port

#2 - 07/16/2018 04:26 PM - Igor Mandrichenko

- Status changed from New to Resolved

#3 - 07/16/2018 04:29 PM - Igor Mandrichenko

- Target version set to 1.2.0
